# beforeMerged

open fun beforeMerged(action: Action<out Any>)

Adds an action to be called after content is loaded from existing file but before gradle build information is merged.

This is advanced api that gives access to internal implementation. It might be useful if you want to alter the way gradle build information is merged into existing file content.

For examples see docs for org.gradle.plugins.ide.eclipse.model.EclipseProject or org.gradle.plugins.ide.idea.model.IdeaProject and others.

#### Parameters

action

The action to execute.

open fun beforeMerged(closure: Closure)

Adds a closure to be called after content is loaded from existing file but before gradle build information is merged.

This is advanced api that gives access to internal implementation. It might be useful if you want to alter the way gradle build information is merged into existing file content.

For examples see docs for org.gradle.plugins.ide.eclipse.model.EclipseProject or org.gradle.plugins.ide.idea.model.IdeaProject and others.

#### Parameters

closure

The closure to execute.

open var beforeMerged: MutableActionSet